state
gex profile major levels
Provides the major levels from the GEX Profile, including the strikes with the largest positive (call) and negative (put) GEX imbalances.
GET/{TICKER}/state/{AGGREGATION_PERIOD}/majorsState Tier
chart
Powers the gex profile chart.
Provides the major levels from the GEX Profile, including the strikes with the largest positive (call) and negative (put) GEX imbalances.
Subscription
Requires a State subscription or higher.
Request
Example: /SPX/state/full/majors
Headers
| Name | Type | Description |
|---|---|---|
Authorization | string | Required. Format: "Bearer <YOUR_API_KEY>" |
User-Agent | string | Required. Identify your client application. |
Accept | string | Required. Set to "application/json". |
Path parameters
| Name | Type | Description |
|---|---|---|
TICKER | string | Desired ticker symbol (e.g., SPX). |
AGGREGATION_PERIOD | string | Aggregation period: full, zero, or one. |
Response
| Field | Type | Description |
|---|---|---|
timestamp | number | The Unix timestamp of when the data was generated. |
ticker | string | The ticker symbol for the requested asset. |
spot | number | The spot price of the underlying asset. |
mpos_vol | number | Major positive GEX imbalance level (call GEX). |
mpos_oi | number | Not applicable for State model. |
mneg_vol | number | Major negative GEX imbalance level (put GEX). |
mneg_oi | number | Not applicable for State model. |
zero_gamma | number | Not applicable for State model |
net_gex_vol | number | The total GEX imbalance (net GEX) based on classified volume. |
net_gex_oi | number | Not applicable for State model. |
{
"timestamp": 1753283592,
"ticker": "SPX",
"spot": 6326.27,
"mpos_vol": 6345,
"mpos_oi": 0,
"mneg_vol": 6300,
"mneg_oi": 0,
"zero_gamma": 0,
"net_gex_vol": -200.55548,
"net_gex_oi": 0
}{
"type": "object",
"properties": {
"timestamp": {
"type": "integer",
"format": "int64"
},
"ticker": {
"type": "string",
"minLength": 2,
"maxLength": 5
},
"spot": {
"type": "number",
"format": "double"
},
"mpos_vol": {
"type": "integer"
},
"mpos_oi": {
"type": "integer"
},
"mneg_vol": {
"type": "integer"
},
"mneg_oi": {
"type": "integer"
},
"zero_gamma": {
"type": "integer"
},
"net_gex_vol": {
"type": "number"
},
"net_gex_oi": {
"type": "number"
}
},
"additionalProperties": false
}type: object
properties:
timestamp:
type: integer
format: int64
ticker:
type: string
minLength: 2
maxLength: 5
spot:
type: number
format: double
mpos_vol:
type: integer
mpos_oi:
type: integer
mneg_vol:
type: integer
mneg_oi:
type: integer
zero_gamma:
type: integer
net_gex_vol:
type: number
net_gex_oi:
type: number
additionalProperties: falsegex profile
Based on classified orderflow, this endpoint nets out imbalanced calls against imbalanced puts to locate areas of significant imbalanced exposure. It helps iden
gex profile max change
Shows the strikes with the most significant change in GEX imbalance over various lookback periods. Also known as "max priors" for the GEX Profile.